EDIT - feature request #7640

Update ISO country names where necessary
08/08/2018 02:59 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

Some of the currently used long labels are outdated. E.g. "Poland, Peoples Republic of" is now "Poland, Republic of".

E.g. Phycobank Registration 100118 ff.

WHK: Just wanted to select "Poland”, why | have to select "Poland, Peoples Republic of". With this selection from 1945+, we do not
get acceptance from Polish colleagues.

How to change these strange political values? Or - why we can not use the English short names?

Note: the handling of long and short forms of country representations is handled in #4209

Related issues:

Related to EDIT - feature request #4209: Better handling of labels, abbreviat... In Progress
Related to EDIT - feature request #2302: Include 1SO-3166 numeric codes to Co... New
Related to EDIT - feature request #4206: Create vocabulary for former countries New

Associated revisions

Revision dc7815d5 - 09/16/2021 11:01 AM - Andreas Miiller
ref #7640, ref #4209 update country labels and split label from official title (still handled in description)

Revision 58a72ae6 - 09/16/2021 11:01 AM - Andreas Miiller
ref #7640 include titleCache for country label update

Revision 388be066 - 09/16/2021 11:01 AM - Andreas Miiller
ref #7640 fix update script for ISO country update

History

#1 - 08/08/2018 07:00 PM - Andreas Kohlbecker
- Category set to cdm-vaadin

- Target version changed from Unassigned CDM tickets to Release 5.2

#2 - 08/09/2018 01:22 AM - Andreas Miiller

- Subject changed from ISO Country names to Update ISO country names where necessary
- Description updated

- Category changed from cdm-vaadin to cdm

- Assignee changed from Andreas Kohlbecker to Andreas MCiller

- Target version changed from Release 5.2 to COM UML 5.5

This is not related to vaadin but a general cdm issue.
There are a couple of issues related to ISO 3166, many of them linked in #3238.

Needs an update script, therefore put to UML milestone.

#4 - 08/09/2018 01:22 AM - Andreas Miiller
- Related to feature request #4209: Better handling of labels, abbreviations and descriptions in ISO 3166-1 (country) terms added
#5 - 08/09/2018 01:24 AM - Andreas Miiller
- Related to feature request #2302: Include ISO-3166 numeric codes to Country added

#6 - 08/09/2018 01:29 AM - Andreas Miiller
- Priority changed from New to Highest

#7 - 10/26/2018 04:39 PM - Wolf-Henning Kusber

Musste heute im PhycoBank Production-System einen Country-Eintrag wieder rausnehmen. Ich wollte den Eintrag "Romania" haben, aber bekam nur
"Romania, Socialist Republic of" angeboten. Das kann ich fiir einen 2018er Eintrag als inhaltlich Verantwortlicher nicht veroffentlichen. Jetzt ist im
Eintrag eine Datenliicke, wenigstens kein Datenfehler.

#8 - 05/05/2019 11:17 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to COM UML 5.15

#9 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#10 - 09/15/2021 09:23 PM - Andreas Miiller

- Related to feature request #4206: Create vocabulary for former countries added

#11 - 09/16/2021 09:48 AM - Andreas Miuiller

- File country.xlsx added

#12 - 09/16/2021 09:50 AM - Andreas Miiller

- Status changed from New to Resolved

- Target version changed from CDM UML 5.43 to Release 5.45
- % Done changed from 0 to 50

#13 - 09/17/2021 10:56 AM - Andreas Muller

- Assignee changed from Andreas Miller to Wolf-Henning Kusber

This should be fixed. Country names are up-to-date and labels are split into (common and short) labels and official labels (stored as description).

@Henning: can you review after next release if everything works as expected for youl3

#14 - 09/17/2021 10:59 AM - Andreas Miiller

Andreas Muller wrote:

@Henning: can you review after next release if everything works as expected for you?

... or you do it immediately on the test system, there it should work already

#15 - 09/21/2021 02:13 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27

#16 - 10/15/2021 11:49 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Miiller

- % Done changed from 50 to 100

| am happy with the implementation, short names and it is clear which country is meant. Tested it in Vaadin, release version. Ticket can be closed if
there are no differences in the TaxEditor. If so, please give the ticket back to me.

#17 - 10/15/2021 11:59 AM - Andreas Muiller

- Status changed from Resolved to Closed

Files
country.xlsx 41.8 KB 09/16/2021 Andreas Miller
